> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Visible Languages

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/lang
```

The API returns a list of all the available languages in NameShouts.

**Note:** The `lang_id` is the unique identifier which we will use to get the **language name** in the name object.

## Authorization

| Bearer Token | |
| - | - |
| Token | `<token>` |

## Example Request

**Get All Visible Languages**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/lang'
```

## Example Response

**Body** · **Headers (0)**

No response body

This request doesn't return any response body

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/lang' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.